// Zenbakizko Kalkulua Ingeniari Kimikoentzat
// OCW-EHU
// http://ocw.ehu.es/irakaskuntza-teknikoak/zenbakizko-kalkulua-ingeniari-kimikoentzat/Course_listing
// 8. gaia: OPTIMIZAZIOA
// Ariketa 8_6
// Asier Aranzabal

clc

disp('---------------------------6. ariketa---------------------------------')

[f,varopt]=optim(list(NDcost,distilaziozutabe),[30;8]);
mprintf('Optim algoritmoaren emaitzak: n=%f, R=%f, irabaziak=%d \n\n',varopt(1),varopt(2),-f);


x0    = [30 8]';
x_min = [1 0.1]';
x_max = [50 50]';
delta = 0.01;


f_init = distilaziozutabe(x0);

  x_init(:,1) = x0 + delta*(x_max - x_min).*rand(size(x0,1),size(x0,2));
  x_init(:,2) = x0 + delta*(x_max - x_min).*rand(size(x0,1),size(x0,2));
  x_init(:,3) = x0 + delta*(x_max - x_min).*rand(size(x0,1),size(x0,2));


[x_opt] = optim_nelder_mead(distilaziozutabe,x_init);
fopt=distilaziozutabe(x_opt);

mprintf('Optim algoritmoaren emaitzak: n=%f, R=%f, irabaziak=%d \n\n',x_opt(1),x_opt(2),-fopt);

//Adierazpen grafikoa
n=linspace(0,80,100);
R=linspace(0,80,100);
for i=1:100; for j=1:100; f(i,j)=-1*distilaziozutabe([n(i) R(j)]); end; end;
  
  
  set("figure_style","new"); //create a figure
   a=get("current_axes");
   a.title;
   type(a.title);
   contour2d(n,R,f,20);
   a.x_label;
   a.y_label;
   a.z_label;
   xtitle("Distilazio zutabearen optimizazioa","plater kopurua", "birfluxua") ;
   //a.z_label.text="Month"
   
   //contour2d(varopt(1),varopt(2),-f)
